2003 安装php5.3以上的版本出现的问题

分类:windows2003

 在win2003的IIS6里新安装了,最新版本的PHP 5.4.7,其使用了FastCGI的方式,在安装完成重启了IIS之后出现如下错误:

 
The FastCGI Handler was unable to process the request.
Error Details:
Error Number: 5 (0x80070005).
Error Description:我这儿显示是乱码
HTTP Error 500 - Server Error.
Internet Information Services (IIS)
 
 
这个错误是由于在解压PHP5.4.7文件夹之后,没有对IIS启动帐户赋予该目录的读取和运行权限。
修改文件夹安全属性,添加Everyone或者Users帐户,赋予:
1、读取和运行
2、读出文件夹目录
3、读取
 
三个权限即可解决问题
 
出现如下错误:
 
FastCGI Error
The FastCGI Handler was unable to process the request.
Error Details:
Error Number: 193 (0x800700c1).
Error Description: Unknown Error
HTTP Error 500 - Server Error.
Internet Information Services (IIS)
 
 
PHP5.5开始,已不支持xp和win2003上运行了。win2003上只能安装PHP5.4X的版本。
PHP window官网下载地址:http://windows.php.net/downloads/releases/
 
出现如下错误:
 
FastCGI Error

The FastCGI Handler was unable to process the request.
Error Details:

Error Number: 14001 (0x800736b1).
Error Description: 我这儿显示是乱码
HTTP Error 500 - Server Error.
Internet Information Services (IIS)
 
 
解决方法:
错误关键在于没有安装VC9运行库 即VISUAL C++ 2008
Microsoft Visual C++ 2008 Redistributable Package (x86)下载地址:
http://www.microsoft.com/downloads/details.aspx?FamilyID=9B2DA534-3E03-4391-8A4D-074B9F2BC1BF&displaylang=zh-cn
安装后即能正常使用了.
 
本文链接: 2003 安装php5.3以上的版本出现的问题
版权所有:后巴士在网络收集,如有侵犯你的权利, 请联系QQ:641868752。

评论

发表评论

*

* (显示gravatar头像)

Ctrl+Enter快捷回复

© 2014 后巴士 all rights reserved.